import { NotificationContactType } from '@app/core/common/enum/notification-contact-type';
import { User } from '../user/user';
import { NotificationType } from '@app/core/common/enum/notification-type';
import { BaseEntity } from '@common/base/base-entity.model';
import { NotificationNotifyState } from '@app/core/common/enum/notification-notify-state';
import { NotificationTrackingProcess } from '@app/core/common/enum/notification-tracking-process';
import { NotificationTrackingState } from '@app/core/common/enum/notification-tracking-state';

export interface Notification extends BaseEntity{
	user: User;
	type: NotificationType;
	contactTypeHint: NotificationContactType;
	contactHint: string;
	data: string;
	notifyState: NotificationNotifyState;
	notifiedWith: NotificationContactType;
	notifiedAt: Date;
	retryCount: number;
	trackingState: NotificationTrackingState;
	trackingProcess: NotificationTrackingProcess;
	trackingData: string;
}
